> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a charging station model

> This endpoint archives a charging station model. Only admins are allowed to archive charging station models.



## OpenAPI

````yaml /api/specs/assetManagement-api.json post /asset-management/v1/charging-station-models/{id}/archive
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for assetManagement service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /asset-management/v1/charging-station-models/{id}/archive:
    post:
      tags:
        - Charging Station Models
      summary: Archive a charging station model
      description: >-
        This endpoint archives a charging station model. Only admins are allowed
        to archive charging station models.
      parameters:
        - in: path
          name: id
          required: true
          description: The ID of the charging station model to archive
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChargingStationModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementBadRequestError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementNotFoundError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementInternalServerError'
      security:
        - oauth2:
            - write:chargingstationmodel
components:
  schemas:
    ChargingStationModel:
      type: object
      description: >-
        A charging station model defines hardware specifications for a specific
        vendor/model combination
      required:
        - id
        - vendor
        - model
        - powerType
        - connectors
        - configurationKeys
        - isArchived
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          description: Unique identifier for the charging station model
        vendor:
          type: string
          description: The vendor/manufacturer of the charging station
        model:
          type: string
          description: The model name of the charging station
        friendlyName:
          type: string
          description: A user-friendly display name for the model
        powerType:
          type: string
          enum:
            - AC_1_PHASE
            - AC_3_PHASE
            - DC
          description: The power type of the charging station
        connectors:
          type: array
          items:
            type: object
            required:
              - id
              - connectionType
              - format
              - maxAmperage
              - maxVoltage
              - maxPowerWatts
            properties:
              id:
                type: number
                description: The connector ID
              connectionType:
                type: string
                enum:
                  - CHADEMO
                  - IEC_62196_T1
                  - IEC_62196_T1_COMBO
                  - IEC_62196_T2
                  - IEC_62196_T2_COMBO
                  - TESLA_R
                  - TESLA_S
                  - SAE_J3400
                description: The type of connector
              format:
                type: string
                enum:
                  - CABLE
                  - SOCKET
                description: The format of the connector
              maxAmperage:
                type: number
                description: Maximum amperage in amps
              maxVoltage:
                type: number
                description: Maximum voltage in volts
              maxPowerWatts:
                type: number
                description: Maximum power in watts
          description: List of connectors available on this charging station model
        configurationKeys:
          type: object
          required:
            - ocppUrl
          properties:
            ocppUrl:
              type: string
              description: The OCPP URL configuration key for this model
          description: Configuration keys for the charging station model
        imageUrl:
          type: string
          description: URL to an image of the charging station model
        isArchived:
          type: boolean
          description: Whether this model has been archived
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the model was created
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the model was last updated
    AssetManagementBadRequestError:
      type: object
      description: The response body for a 400 request
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
            - REFERENCE_ERROR
            - UNSUPPORTED_TYPE
            - LOCATION_VALIDATION_ERROR
            - CHARGING_STATION_VALIDATION_ERROR
            - SITE_HOST_VALIDATION_ERROR
            - UTILITY_VALIDATION_ERROR
            - UTILITY_USER_NOT_ALLOWED
            - INVALID_CONTACT_DETAILS
            - CONTACT_DETAILS_ALREADY_EXISTS
            - SITE_PARTNER_USER_ARCHIVED
            - ASSET_NOT_CONNECTED
            - LICENSE_ALREADY_ASSIGNED
            - INVALID_AUTH_METHOD
            - INVALID_ENROLLED_SERVICES
            - UNSUPPORTED_PAYMENT_TERMINAL_PROVIDER
            - UNSUPPORTED_SIM_PROVIDER
            - RATE_IN_USE
            - CHARGING_STATION_MODEL_ARCHIVED
            - OPERATING_SITE_HOST_NOT_FOUND
            - OPERATING_SITE_HOST_INVALID_TYPE
            - OPERATING_SITE_HOST_ARCHIVED
            - LOCATION_ARCHIVED
        message:
          type: string
    AssetManagementNotFoundError:
      type: object
      description: The response body for a 404 request
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - ASSET_NOT_FOUND
            - ASSET_STATUS_NOT_FOUND
            - ASSET_GROUP_NOT_FOUND
            - NETWORK_NOT_FOUND
            - FLEET_NOT_FOUND
            - SECURITY_PROFILE_NOT_FOUND
            - NETWORK_ACCESS_PROFILE_NOT_FOUND
            - SITE_PARTNER_NOT_FOUND
            - SITE_PARTNER_USER_NOT_FOUND
        message:
          type: string
    AssetManagementInternalServerError:
      type: object
      description: The response body for a 500 request
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        code:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````